package main

import (
	"context"
	"embed"
	"flag"
	"git.nspix.com/golang/kos/entry/http"
	httpkg "net/http"

	"git.nspix.com/golang/kos"
)

//go:embed web
var webDir embed.FS

type subServer struct {
}

func (s *subServer) Start(ctx context.Context) (err error) {
	kos.Http().Root("/web", httpkg.FS(webDir))
	kos.Http().Handle(httpkg.MethodGet, "/hello", func(ctx *http.Context) (err error) {
		return ctx.Success("Hello World")
	})
	return
}

func (s *subServer) Stop() (err error) {
	return
}

func main() {
	flag.Parse()
	svr := kos.Init(
		kos.WithName("git.nspix.com/golang/test", "0.0.1"),
		kos.WithServer(&subServer{}),
		kos.WithDirectHttp(),
	)
	svr.Run()
}
